Qore Schema Module Reference 1.0

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Private Attributes | List of all members
Schema::Schema Class Reference

Schema class. More...

Inherited by Schema::VersionedSchema.

## Public Member Functions
*hash | getCreateOnlyReferenceData ()
| returns a hash of "create-only reference data", describing data that is written to the table when the table is created
*hash | getInsertOnlyReferenceData ()
| returns a hash of "create-only reference data", describing data that will only be inserted if missing, otherwise existing rows with changed data are left unchanged
*hash | getReferenceDataHash ()
| returns a hash of "normal reference data", describing data that must appear in the target table, however additional rows are also acceptable
*hash | getStrictReferenceDataHash ()
| returns a hash of "strict reference data", describing the only data that can appear in the target table

## Private Attributes
*string | data_ts
| explicit data tablespace name
*string | index_ts
| explicit index tablespace name

## Detailed Description

Schema class.